﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TinyPosEntity.Entity;

namespace TinyPosEntity
{
    public class EntityContext : DbContext
    {
        public static string ConnectionString { get; set; }

        public EntityContext() : base(ConnectionString)
        {

        }

        public DbSet<Transaction> Transactions { get; set; }
        public DbSet<TransactionItem> TransactionItems { get; set; }
        public DbSet<Product> Products { get; set; }
        public DbSet<ProductType> ProductTypes { get; set; }
    }

    public class EntityInitializer : DropCreateDatabaseAlways<EntityContext>
    {
        protected override void Seed(EntityContext context)
        {
            base.Seed(context);
        }
    }
}
