﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TinyPosEntity.Entity
{
    public class Product
    {
        public int ProductId { get; set; }

        [MaxLength(450)]
        [Index(IsUnique = true)]
        public string Barcode { get; set; }

        public ProductType ProductType { get; set; }

        public string Name { get; set; }

        public int Price { get; set; }
    }
}
